#!/bin/env python
from argparse import ArgumentParser, Namespace
from typing import cast

from lib.sunset import main


class Arguments(Namespace):
	check_steam: bool = False


def call_from_args() -> None:
	parser = ArgumentParser(description="Adjusts the temperature of your screen based on the time of day")
	_ = parser.add_argument("-s", "--check-steam", action="store_true", help="Don't adjust temperature if Steam is active")
	args = cast(Arguments, parser.parse_args())
	main(
		(2500.0, 6000.0),
		check_steam=args.check_steam,
	)


if __name__ == "__main__":
	call_from_args()
